#include <algorithm>
#include <iostream>
#include <vector>

#define let auto
#define fn auto
typedef size_t us;
using namespace std;

fn fastio() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
}

struct Bread {
    us p, t, f;
};

fn main() -> int {
    fastio();
    us n;
    cin >> n;
    let breads = vector<Bread>(n);

    for (us i=0;i<n;i++){
        us p, t, f;
        cin >> p >> t >> f;
        breads[i].p = p; // prepare
        breads[i].t = t; // time to bake
        breads[i].f = f; // fresh
    }
    

    
}